org.apache.hadoop.yarn.server.nodemanager.amrmproxy

## Class AMRMProxyService.RequestInterceptorChainWrapper

- java.lang.Object
- - org.apache.hadoop.yarn.server.nodemanager.amrmproxy.AMRMProxyService.RequestInterceptorChainWrapper

- Enclosing class:
    AMRMProxyService

      @InterfaceAudience.Private
      public static class AMRMProxyService.RequestInterceptorChainWrapper
      extends Object

  Private structure for encapsulating RequestInterceptor and ApplicationAttemptId instances.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestInterceptorChainWrapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.yarn.api.records.ApplicationAttemptId` | `getApplicationAttemptId()` Gets the application attempt identifier.
    `org.apache.hadoop.yarn.api.records.ApplicationId` | `getApplicationId()` Gets the application identifier.
    `RequestInterceptor` | `getRootInterceptor()` Gets the root request intercepter.
    `void` | `init(RequestInterceptor rootInterceptor, org.apache.hadoop.yarn.api.records.ApplicationAttemptId applicationAttemptId)` Initializes the wrapper with the specified parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestInterceptorChainWrapper

          public RequestInterceptorChainWrapper()

  - ### Method Detail

    - #### init

          public void init(RequestInterceptor rootInterceptor,
                           org.apache.hadoop.yarn.api.records.ApplicationAttemptId applicationAttemptId)

      Initializes the wrapper with the specified parameters.
      Parameters:
        `rootInterceptor` - the root request intercepter
        `applicationAttemptId` - attempt id

    - #### getRootInterceptor

          public RequestInterceptor getRootInterceptor()

      Gets the root request intercepter.
      Returns:
        the root request intercepter

    - #### getApplicationAttemptId

          public org.apache.hadoop.yarn.api.records.ApplicationAttemptId getApplicationAttemptId()

      Gets the application attempt identifier.
      Returns:
        the application attempt identifier

    - #### getApplicationId

          public org.apache.hadoop.yarn.api.records.ApplicationId getApplicationId()

      Gets the application identifier.
      Returns:
        the application identifier

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.